### Method

# RB RefString get_sort_key

#### Declaration [src]

    const char*
    rb_refstring_get_sort_key (
      RBRefString* val
    )

#### Description [src]

Returns the sort key version of the string underlying `val`. The sort key string is cached inside the `RBRefString` for speed. Sort key strings are not generally human readable, so don’t display them anywhere. See `g_utf8_collate_key_for_filename` for information on sort keys.

#### Return value

Type: `const char*`

Sort key string, must not be freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.